
# Aquesta taula serveix per indicar quins programes et vols baixar
# 'prefix' i sufix van davant i darrera la data d'emissi del programa
# '1i' indica l'inici de l tall d'anuncis, i '1f' el final, els minuts entre els dos numeros s'esborren

setmana = {
  '06' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 1h', 'corregir' => '', 'web' => 'EL MON A RAC1' },
  '07' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 2h', 'corregir' => '', 'web' => 'EL MON A RAC1' },
  '08' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 3h', 'corregir' => '', 'web' => 'EL MON A RAC1' },
  '09' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 4h', 'corregir' => '', 'web' => 'EL MON A RAC1' },
  '10' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 5h', 'corregir' => '', 'web' => 'EL MON A RAC1' },
  '11' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 6h', 'corregir' => '', 'web' => 'EL MON A RAC1' },
  '12' => { 'baixar' => 'Si', 'prefix' => 'Minoria Absoluta - ', 'sufix' => ' 1h', 'corregir' => '', 'web' => 'MINORIA%20ABSOLUTA',
                 'sufixRetall' => ' (Sense Anuncis)', '1i' => '0', '1f' => '5', '2i' => '27', '2f' => '30', '3i' => '50', '3f' => '56' },
  '13' => { 'baixar' => 'Si', 'prefix' => 'Minoria Absoluta - ', 'sufix' => ' 2h', 'corregir' => '', 'web' => 'MINORIA%20ABSOLUTA',
                 'sufixRetall' => ' (Sense Anuncis)', '1i' => '0', '1f' => '5', '2i' => '12', '2f' => '15', '3i' => '40', '3f' => '45' },
  '14' => { 'baixar' => 'Ssi', 'prefix' => 'Tot s Possible - ', 'sufix' => ' 1h (+ 100 Metres)', 'corregir' => '', 'web' => '100%20Metres%2BTOT%20ES%20POSSIBLE' },
  '15' => { 'baixar' => 'Ssi', 'prefix' => 'Tot s Possible - ', 'sufix' => ' 2h', 'corregir' => '', 'web' => 'TOT%20ES%20POSSIBLE' },
  '16' => { 'baixar' => 'Ssi', 'prefix' => 'Primers Auxilis - ', 'sufix' => ' 1h', 'corregir' => '' },
  '17' => { 'baixar' => 'Ssi', 'prefix' => 'Primers Auxilis - ', 'sufix' => ' 2h', 'corregir' => '' },
  '18' => { 'baixar' => 'Ssi', 'prefix' => 'Primers Auxilis - ', 'sufix' => ' 3h', 'corregir' => '' },
  '19' => { 'baixar' => 'Ssi', 'prefix' => 'Primer Toc - ', 'sufix' => ' 1h', 'corregir' => '' },
  '20' => { 'baixar' => 'Ssi', 'prefix' => 'Primer Toc - ', 'sufix' => ' 2h (+ ltima Hora)', 'corregir' => '' },
  '21' => { 'baixar' => 'Ssi', 'prefix' => 'No Som Perfectes - ', 'sufix' => ' 1h', 'corregir' => '' },
  '22' => { 'baixar' => 'Ssi', 'prefix' => 'No Som Perfectes - ', 'sufix' => ' 2h', 'corregir' => '' },
  '23' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 1h', 'corregir' => '-1' },
  '00' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 2h', 'corregir' => '-1', 'web' => 'res' },
  '01' => { 'baixar' => 'Si', 'prefix' => 'Minoria Absoluta - ', 'sufix' => ' 1h (Rep.)', 'corregir' => '-1', 'web' => 'REPETICIO%20MINORIA%20ABSOLUTA%201A%20HORA',
                 'sufixRetall' => ' (Sense Anuncis)', '1i' => '0', '1f' => '4', '2i' => '27', '2f' => '30', '3i' => '50', '3f' => '56' },
  '02' => { 'baixar' => 'Si', 'prefix' => 'Minoria Absoluta - ', 'sufix' => ' 2h (Rep.)', 'corregir' => '-1', 'web' => 'REPETICIO%20MINORIA%20ABSOLUTA%202A%20HORA',
                 'sufixRetall' => ' (Sense Anuncis)', '1i' => '0', '1f' => '4', '2i' => '27', '2f' => '30', '3i' => '50', '3f' => '56' },
  '03' => { 'baixar' => 'Ssi', 'prefix' => 'res - ', 'sufix' => ' 2h (Rep.)', 'corregir' => '-1' },
  '04' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs (Rep.) - ', 'sufix' => ' 1h', 'corregir' => '-1' },
  '05' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs (Rep.) - ', 'sufix' => ' 2h', 'corregir' => '-1' }
}

# Aquesta taula hi van el mateix per pels programes de cap de setmana
dissabte = {
  '06' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 1h', 'corregir' => '', 'web' => 'LA%20PRIMERA%20PEDRA',
                 'sufixRetall' => ' (Sense Anuncis)', '1i' => '0', '1f' => '4', '2i' => '27', '2f' => '30', '3i' => '50', '3f' => '56' },
  '07' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 2h', 'corregir' => '' },
  '08' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 3h', 'corregir' => '' },
  '09' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 4h', 'corregir' => '' },
  '10' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 1h', 'corregir' => '' },
  '11' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 2h', 'corregir' => '' },
  '12' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 3h', 'corregir' => '' },
  '13' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 4h', 'corregir' => '' },
  #'14' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 1h', 'corregir' => '' }, # Els Millors Moments Del Mn A RAC1 1h
  '14' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 1h (El Millor)', 'corregir' => '' },
  #'15' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 2h', 'corregir' => '' },
  '15' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 2h (El Millor)', 'corregir' => '' },
  #'16' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 3h', 'corregir' => '' }, # El Mn a rac1 (el millor)
  '16' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 3h (El Millor)', 'corregir' => '' }, # El Mn a rac1 (el millor)
  #'17' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 4h', 'corregir' => '' },
  '17' => { 'baixar' => 'Ssi', 'prefix' => 'no se - ', 'sufix' => ' 0h (El Millor)', 'corregir' => '' },
  '18' => { 'baixar' => 'Ssi', 'prefix' => 'no se - ', 'sufix' => ' 1h (El Millor)', 'corregir' => '' },  # Els Millors Moments De Minoria Absoluta
  '19' => { 'baixar' => 'Ssi', 'prefix' => 'no se - ', 'sufix' => ' 2h (El Millor)', 'corregir' => '' }, 
  '20' => { 'baixar' => 'Ssi', 'prefix' => 'no se - ', 'sufix' => ' 3h (El Millor)', 'corregir' => '' },
  '21' => { 'baixar' => 'Ssi', 'prefix' => 'no se - ', 'sufix' => ' 4h (El Millor)', 'corregir' => '' },
  '22' => { 'baixar' => 'Ssi', 'prefix' => 'no se - ', 'sufix' => ' 5h (El Millor)', 'corregir' => '' },
  '23' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 1h', 'corregir' => '-1' },
  '00' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 2h', 'corregir' => '-1' },
  '01' => { 'baixar' => 'Ssi', 'prefix' => 'Misteris - ', 'sufix' => ' Recull', 'corregir' => '-1' },
  '02' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 1h', 'corregir' => '-1' },
  '03' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 2h', 'corregir' => '-1' },
  #'4' => { 'baixar' => 'Si', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 3h', 'corregir' => '-1' }, # em sembla k fan Tu Diras
  '04' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 1h (Rep.)', 'corregir' => '-2', 'web' => 'tu em mires' },
  #'5' => { 'baixar' => 'Si', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 4h', 'corregir' => '-1' }
  '05' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 2h (Rep.)', 'corregir' => '-2' }
}


diumenge = {
  '06' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 1h', 'corregir' => '' },
  '07' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 2h', 'corregir' => '' },
  '08' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 3h', 'corregir' => '' },
  '09' => { 'baixar' => 'Ssi', 'prefix' => 'La Primera Pedra - ', 'sufix' => ' 4h', 'corregir' => '' },
  '10' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 1h', 'corregir' => '' },
  '11' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 2h', 'corregir' => '' },
  '12' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 3h', 'corregir' => '' },
  '13' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure - ', 'sufix' => ' 4h', 'corregir' => '' },
  #'14' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 1h', 'corregir' => '' }, # Els Millors Moments Del Mn A RAC1 1h
  '14' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 1h (El Millor)', 'corregir' => '' },
  #'15' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 2h', 'corregir' => '' }, # Els Millors Moments Del Mn A RAC1 2h
  '15' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 2h (El Millor)', 'corregir' => '' },
  #'16' => { 'baixar' => 'Si', 'prefix' => 'El Millor De RAC1 - ', 'sufix' => ' 3h', 'corregir' => '' }, # Els Millors Moments Del Mn A RAC1 3h
  '16' => { 'baixar' => 'Ssi', 'prefix' => 'El Mn A RAC1 - ', 'sufix' => ' 3h (El Millor)', 'corregir' => '' }, # El Mn a rac1 (el millor)
  '17' => { 'baixar' => 'Ssi', 'prefix' => 'La Lliga - ', 'sufix' => ' 1h', 'corregir' => '' },
  '18' => { 'baixar' => 'Ssi', 'prefix' => 'La Lliga - ', 'sufix' => ' 2h', 'corregir' => '' },
  '19' => { 'baixar' => 'Ssi', 'prefix' => 'La Lliga - ', 'sufix' => ' 3h', 'corregir' => '' },
  '20' => { 'baixar' => 'Ssi', 'prefix' => 'La Lliga - ', 'sufix' => ' 4h', 'corregir' => '' }, 
  '21' => { 'baixar' => 'Ssi', 'prefix' => 'Futbol o El Millor - ', 'sufix' => ' 4h', 'corregir' => '' }, # Futbol
  '22' => { 'baixar' => 'Ssi', 'prefix' => 'Futbol o El Millor - ', 'sufix' => ' 5h', 'corregir' => '' }, # Els Millors Moments De Minoria Absoluta 
  '23' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 1h', 'corregir' => '-1' },
  '00' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs - ', 'sufix' => ' 2h', 'corregir' => '-1' },
  '01' => { 'baixar' => 'Ssi', 'prefix' => 'Misteris - ', 'sufix' => ' Recull', 'corregir' => '-1' },
  '02' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 1h', 'corregir' => '-1' },
  '03' => { 'baixar' => 'Ssi', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 2h', 'corregir' => '-1' },
  #'4' => { 'baixar' => 'Si', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 3h', 'corregir' => '-1' }, # em sembla k fan el Tu Diras 2h del divendres (i per tant, hauria de tenir un -2)
  '04' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs (Rep.) - ', 'sufix' => ' 1h', 'corregir' => '-2' },
  #'5' => { 'baixar' => 'Si', 'prefix' => 'Via Lliure (Rep.) - ', 'sufix' => ' 4h', 'corregir' => '-1' } # em sembla k fan Tu Diras
  '05' => { 'baixar' => 'Ssi', 'prefix' => 'Tu Dirs (Rep.) - ', 'sufix' => ' 2h', 'corregir' => '-2' }
}

# aix s per poder fer copies enlloc d'assignar
setmanal = Marshal.dump(setmana)

# Aqu s'omple la taula setmanal, 1 s dilluns, etc...
$taula = {
  'Monday' =>  Marshal.load(setmanal),
  'Tuesday' =>  Marshal.load(setmanal),
  'Wednesday' =>  Marshal.load(setmanal),
  'Thursday' =>  Marshal.load(setmanal),
  'Friday' =>  Marshal.load(setmanal),
  'Saturday' =>  dissabte,
  'Sunday' =>  diumenge
}

# Correccions de les matinades de diumenge que sobre el paper ja sn dilluns
# Correccions de les matinades de divendres que sobre el paper ja sn dissabte

$taula['Monday']['01']['corregir'] = '-3' # la matinada de diumenge (s a dir dilluns) fan el Minoria Absoluta del divendres
$taula['Monday']['01']['baixar'] = 'No' # la veritat s k no ho fan

$taula['Monday']['02']['corregir'] = '-3' # la matinada de diumenge (s a dir dilluns) fan el Minoria Absoluta del divendres
$taula['Monday']['02']['baixar'] = 'No' # la veritat s k no ho fan

$taula['Wednesday']['15']['baixar'] = 'Si'
$taula['Wednesday']['15']['sufix'] = ' 2h - Expofinques'


